@extends('vip.layouts')
@section('seo_title')
    游戏设置
@endsection
@section('content')
    <style>
        .layui-laydate-range {
            width: auto;
        }
    </style>

    <script type="text/html" id="agent_is_water">
        <input type="checkbox" style="width: 60px;" name="agent_is_water" value="@{{d.id}}" lay-skin="switch" lay-text="是|否" lay-filter="openStatus" @{{ d.agent_is_water == '1' ? 'checked' : '' }}>
    </script>


    <!---注单管理-->

@push('dataTableJS')
//	var active = {
//        reload: function(){
//            //执行重载
//            table.reload('{{ $dataId }}', {
//                page: {
//                    curr: 1 //重新从第 1 页开始
//                }
//                ,where: {
//                    name:$('#name').val(),
//                }
//            });
//		}
//	};

//	$('.lay-btn-diy').on('click', function(){
//		var type = $(this).data('type');
//		active[type] ? active[type].call(this) : '';
//	});

	//重置表单
	$('.reset').on('click',function(){
		$('input').val('');
		$('#name').val('');
//		var type = $(this).data('type');
//		active[type] ? active[type].call(this) : '';
	});

	//刷新表单
    $('.set').on('click',function(){

    });

	form.on('switch(openStatus)', function(obj){
		var agent_is_water = 1;
		if(obj.elem.checked==true){
            agent_is_water =1;
		}else{
			agent_is_water =2;
		}

		setcolumn('/admin/NagentWater/Watershow',this.name,agent_is_water,this.value,obj);
		//layer.tips(msg, obj.othis);
	});

	function setcolumn(url,column,value,id,obj){
		$.ajax({
			url: url+'?'+column+'='+value+'&id='+id,
			dataType: 'json',
			type: 'get',
			success:function(data){
				layer.msg(data.msg);
					if(value==2){
						obj.othis[0].setAttribute("class", "layui-unselect layui-form-switch");
						obj.othis[0].innerHTML='<em>否</em><i></i>';
					}else{
						obj.othis[0].setAttribute("class",'layui-unselect layui-form-switch layui-form-onswitch');
						obj.othis[0].innerHTML='<em>是</em><i></i>';
					}

			}
		});
	}
    @endpush
    @include('vip.datatable')


@endsection
